﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Collections.ObjectModel;

namespace SL_xamDataChart_Legend
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();
        }

        private void cbSeriesVisibility_Click(object sender, RoutedEventArgs e)
        {
            CheckBox cb = (sender as CheckBox);
            if (cb == null) return;

            string strTag = cb.Tag.ToString();

            switch(strTag)
            {
                case "Coal":
                    this.dataChart.Series["CoalSeries"].Visibility = cb.IsChecked.Value ? Visibility.Visible : Visibility.Collapsed;
                    break;
                case "Hydro":
                    this.dataChart.Series["HydroSeries"].Visibility = cb.IsChecked.Value ? Visibility.Visible : Visibility.Collapsed;
                    break;
                case "Gas":
                    this.dataChart.Series["GasSeries"].Visibility = cb.IsChecked.Value ? Visibility.Visible : Visibility.Collapsed;
                    break;
                case "Oil":
                    this.dataChart.Series["OilSeries"].Visibility = cb.IsChecked.Value ? Visibility.Visible : Visibility.Collapsed;
                    break;
                case "Nuclear":
                    this.dataChart.Series["NuclearSeries"].Visibility = cb.IsChecked.Value ? Visibility.Visible : Visibility.Collapsed;
                    break;


            }

        }
       
    }

   
}
